# __gnu_cxx::__per_type_pool_base< _Tp, _PoolTp, false > Struct Template Reference

Inheritance diagram for __gnu_cxx::__per_type_pool_base< _Tp, _PoolTp, false >:

List of all members.

## Detailed Description

### template<typename _Tp, template< bool > class _PoolTp>
struct __gnu_cxx::__per_type_pool_base< _Tp, _PoolTp, false >

Definition at line 501 of file mt_allocator.h.

## Public Types

- typedef _PoolTp< _Thread > pool_type
- typedef _Tp value_type

## Static Public Member Functions

- static pool_type & _S_get_pool ()
- static void _S_initialize_once ()

The documentation for this struct was generated from the following file:

- mt_allocator.h